package com.ywt.mg.domain.models.enums;

/**
 * 状态，1-正常，2-禁用
 */
public enum HealthRepsStatusEnum {
    UNKNOWN("", 0),
    Normal("正常", 1),
    FORBIDDEN("禁用", 2);

    private final String displayName;

    private final int value;

    HealthRepsStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


    public static HealthRepsStatusEnum valueOf (int value){
        switch (value) {
            case 1 :
                return Normal;
            case 2:
                return FORBIDDEN;
            default:
                return UNKNOWN;
        }
    }
}
